Subject: inconsistent RP-SETs ?

From: "K.P.Ramamurthy" <[email-masked]>
Date: Fri, 8 Jun 2001 12:14:37 +0530

Hi,
  when fragmented Bootstrap messages are sent by BSR, all the routers in the
doamin
might not get the fragments in the *correct sequence*, and so some routers
will just
forward the BSM (as expected by all PIM routers), but will not able to
preserve the incomplete RP-SET ( if need be ), and so there is a possibility
of some routers using the latest RP-SET, while there could be some other PIM
routers using a obsolete RP-SET, this might result in routers hashing to
different RPs for the same GROUP. The root of this problem lies in the fact
that the fragments are not guaranteed to arrive in sequence.

        regards and thanks
        K.P.R.Murthy